org.apache.myfaces.trinidad.component

## Enum ComponentProcessingContext.ProcessingHint

- java.lang.Object
- - java.lang.Enum<ComponentProcessingContext.ProcessingHint>
  - - org.apache.myfaces.trinidad.component.ComponentProcessingContext.ProcessingHint

- All Implemented Interfaces:
    Serializable, Comparable<ComponentProcessingContext.ProcessingHint>
  Enclosing class:
    ComponentProcessingContext

      public static enum ComponentProcessingContext.ProcessingHint
      extends Enum<ComponentProcessingContext.ProcessingHint>

  Hints to the the FlattenedComponents regarding what the flattened iteration is being used for, The FlattenedComponent may use this information to change its flattening behavior. For example, a FlattenedComponent may generate output during a `PROCESS_FOR_ENCODING` iteration, but not during a normal iteration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PROCESS_FOR_ENCODING` Indicates that the iteration is occurring in order to encode iterated components.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentProcessingContext.ProcessingHint` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ComponentProcessingContext.ProcessingHint[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PROCESS_FOR_ENCODING

          public static final ComponentProcessingContext.ProcessingHint PROCESS_FOR_ENCODING

      Indicates that the iteration is occurring in order to encode iterated components. This hint may only be used during the RenderResponse phase and only once per an iterated component. Due to these guarantees, the FlattenedComponent is allowed to generate content during the iteration, an exception to the normal rule that iterations must be idempotent in case the same component is iterated multiple times.

  - ### Method Detail

    - #### values

          public static ComponentProcessingContext.ProcessingHint[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ComponentProcessingContext.ProcessingHint c : ComponentProcessingContext.ProcessingHint.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ComponentProcessingContext.ProcessingHint valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.